Name:          libexempi
Version:       2.5.2
Release:       1mamba
Summary:       a library to parse XMP metadata.
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://libopenraw.freedesktop.org/wiki/Exempi
Source:        http://libopenraw.freedesktop.org/download/exempi-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libexpat-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
BuildRequires: pkg-config
## AUTOBUILDREQ-END
BuildRequires: libboost-devel
#BuildRequires: libiconv-devel
BuildRequires: libXpm-devel
BuildRequires: pkgconfig
#BuildRequires: gdb
#BuildRequires: valgrind
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
%{name} provides a library for easy parsing of XMP metadata. It is a port of Adobe XMP SDK to work on UNIX and to be build with GNU automake. It includes XMPCore and XMPFiles.

%package devel
Group:         Development/Libraries
Summary:       Libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
%{name} provides a library for easy parsing of XMP metadata. It is a port of Adobe XMP SDK to work on UNIX and to be build with GNU automake. It includes XMPCore and XMPFiles.

This package contains libraries and header files need for development.

%package static
Group:         Development/Libraries
Summary:       Static libraries for %{name}
Requires:      %{name}-devel = %{?epoch:%epoch:}%{version}-%{release}

%description static
%{name} provides a library for easy parsing of XMP metadata. It is a port of Adobe XMP SDK to work on UNIX and to be build with GNU automake. It includes XMPCore and XMPFiles.

This package contains static libraries need for development.

%prep

%setup -q -n exempi-%{version}

%build
%configure LDFLAGS="-L%{_libdir}" CPPFLAGS="-I%{_includedir}"
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make

#check
#ake check

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/exempi
%{_libdir}/*.so.*
%{_mandir}/man1/exempi.1.gz
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/exempi-2.0
%dir %{_includedir}/exempi-2.0/exempi
%{_includedir}/exempi-2.0/exempi/*.h
%{_includedir}/exempi-2.0/exempi/xmp++.hpp
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%doc ChangeLog NEWS README

%files static
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/*.la

%changelog
* Sun Jul 05 2020 Automatic Build System <autodist@mambasoft.it> 2.5.2-1mamba
- automatic version update by autodist

* Wed Aug 28 2019 Automatic Build System <autodist@mambasoft.it> 2.5.1-1mamba
- automatic version update by autodist

* Mon Jan 28 2019 Automatic Build System <autodist@mambasoft.it> 2.5.0-1mamba
- automatic version update by autodist

* Mon Mar 19 2018 Automatic Build System <autodist@mambasoft.it> 2.4.5-1mamba
- automatic version update by autodist

* Fri Sep 08 2017 Automatic Build System <autodist@mambasoft.it> 2.4.3-1mamba
- automatic version update by autodist

* Sun Feb 05 2017 Automatic Build System <autodist@mambasoft.it> 2.4.2-1mamba
- automatic version update by autodist

* Mon Jan 23 2017 Automatic Build System <autodist@mambasoft.it> 2.4.1-1mamba
- automatic version update by autodist

* Fri May 20 2016 Automatic Build System <autodist@mambasoft.it> 2.3.0-1mamba
- automatic version update by autodist

* Sat Oct 04 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.2-1mamba
- update to 2.2.2

* Wed Jul 10 2013 Automatic Build System <autodist@mambasoft.it> 2.2.1-1mamba
- automatic version update by autodist

* Tue Oct 09 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.0-1mamba
- update to 2.2.0

* Sun May 16 2010 gil <puntogil@libero.it> 2.1.1-1mamba
- update to 2.1.1

* Sun Feb 01 2009 gil <puntogil@libero.it> 2.1.0-1mamba
- package created by autospec
